DSA_GENERATE_KEY(3)

NAME
DSA_generate_key - generate DSA key pair

SYNOPSIS
libcrypto
#include <openssl/dsa.h>
int
DSA_generate_key(DSA *a);

DESCRIPTION
DSA_generate_key() expects a to contain DSA parameters. It generates a new key pair and stores it in a->pub_key and a->priv_key.

RETURN VALUES
DSA_generate_key() returns 1 on success or 0 otherwise. The error codes can be obtained by ERR_get_error(3).

SEE ALSO
DSA_generate_parameters_ex(3), DSA_get0_key(3), DSA_new(3)

HISTORY
DSA_generate_key() first appeared in SSLeay 0.6.0 and has been available since OpenBSD 2.4.